org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface NumberValue

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, Expression, LiteralValueReference, org.eclipse.emf.common.notify.Notifier, ValueReference
  All Known Implementing Classes:
    NumberValueImpl

      public interface NumberValue
      extends LiteralValueReference

  A representation of the model object 'Number Value'.

  The following features are supported:

  - `Value`
  - `Negative`
  See Also:
    `PatternLanguagePackage.getNumberValue()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.xbase.XNumberLiteral` | `getValue()` Returns the value of the 'Value' containment reference.
    `boolean` | `isNegative()` Returns the value of the 'Negative' attribute.
    `void` | `setNegative(boolean value)` Sets the value of the '`Negative`' attribute.
    `void` | `setValue(org.eclipse.xtext.xbase.XNumberLiteral value)` Sets the value of the '`Value`' containment reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getValue

          org.eclipse.xtext.xbase.XNumberLiteral getValue()

      Returns the value of the 'Value' containment reference.

      If the meaning of the 'Value' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value' containment reference.
      See Also:
        `setValue(XNumberLiteral)`, `PatternLanguagePackage.getNumberValue_Value()`
      Generated:
      Model:
        containment="true"

    - #### setValue

          void setValue(org.eclipse.xtext.xbase.XNumberLiteral value)

      Sets the value of the '`Value`' containment reference.
      Parameters:
        `value` - the new value of the 'Value' containment reference.
      See Also:
        `getValue()`
      Generated:

    - #### isNegative

          boolean isNegative()

      Returns the value of the 'Negative' attribute. The default value is `"false"`.

      If the meaning of the 'Negative' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Negative' attribute.
      See Also:
        `setNegative(boolean)`, `PatternLanguagePackage.getNumberValue_Negative()`
      Generated:
      Model:
        default="false"

    - #### setNegative

          void setNegative(boolean value)

      Sets the value of the '`Negative`' attribute.
      Parameters:
        `value` - the new value of the 'Negative' attribute.
      See Also:
        `isNegative()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Expression`
      Specified by:
        `toString` in interface `LiteralValueReference`
      Specified by:
        `toString` in interface `ValueReference`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"